Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.PROPERTY

    java.lang.Object
      java.lang.Enum<Account.PROPERTY>
          com.skype.api.Account.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Account.PROPERTY>

Enclosing class:
  Account

    public static enum Account.PROPERTY

extends java.lang.Enum<Account.PROPERTY>

Properties of the Account class

Enum Constant Summary
`about` arbitrary introductory text, type: String
`availability` Contact.AVAILABILITY, type: Contact.AVAILABILITY
`avatar_image` Account avatar picture can be set with Account.SetBinProperty method.
`avatar_policy` Server-side account property, use SetServerside*Property() to set, type: AVATARPOLICY
`avatar_timestamp` UNIX timestamp of when current avatar was set, type: int
`birthday` YYYYMMDD, type: int
`buddycount_policy` Server-side account property, use SetServerside*Property() to set, type: BUDDYCOUNTPOLICY
`cblsyncstatus` Account.CBLSYNCSTATUS, type: CBLSYNCSTATUS
`chat_policy` Server-side account property, use SetServerside*Property() to set, type: CHATPOLICY
`city` type: String
`commitstatus` Account.COMMITSTATUS, type: COMMITSTATUS
`country` ISO country code, type: String
`emails` This is a string property, that contains space-separated list of email addresses.
`fullname` type: String
`gender` 1-male, 2-female, type: int
`homepage` type: String
`languages` ISO language codes, space-separated, type: String
`logoutreason` This property should only be examined when Account.P_STATUS is LOGGED_OUT or LOGGED_OUT_AND_PWD_SAVED.
`mood_text` Personal mood text (visible to authorised users only).
`mood_timestamp` UNIX timestamp of when current mood was set, type: int
`nr_of_other_instances` number of times this user is logged in from other computers, type: int
`nrof_authed_buddies` Count of this user's authorized contacts.
`offline_callforward` space-separated list of 'begSecond,endSecond,identity' tokens, type: String
`partner_optedout` Alerts: opted out partner id's, space separated, type: String
`phone_home` NB! string not integer, type: String
`phone_mobile` type: String
`phone_office` type: String
`phonenumbers_policy` Server-side account property, use SetServerside*Property() to set, type: PHONENUMBERSPOLICY
`profile_timestamp` UNIX timestamp of last profile change, type: int
`province` type: String
`pstn_call_policy` Server-side account property, use SetServerside*Property() to set, type: PSTNCALLPOLICY
`pwdchangestatus` Account.PWDCHANGESTATUS, type: PWDCHANGESTATUS
`registration_timestamp` NB! Unlike your common UNIX timestamps, the registration_timestamp is special, as it counts MINUTES rather than seconds, from Epoch (January 1, 1970) , type: int
`rich_mood_text` XML version of CONTACT_MOOD_TEXT.
`service_provider_info` service information if the user is a paid service provider, type: String
`skype_call_policy` Server-side account property, use SetServerside*Property() to set, type: SKYPECALLPOLICY
`skypein_numbers` space-separated list of skypein numbers, type: String
`skypename` type: String
`skypeout_balance` balance in 'cents', type: int
`skypeout_balance_currency` 'EUR', 'USD', etc., type: String
`skypeout_precision` decimal points in ACCOUNT_SKYPEOUT_BALANCE, type: int
`status` Account.STATUS, type: STATUS
`suggested_skypename` suggested skypename.
`timezone` 24*3600+diff_to_UTC_in_seconds.
`timezone_policy` Server-side account property, use SetServerside*Property() to set, type: TIMEZONEPOLICY
`voicemail_policy` Server-side account property, use SetServerside*Property() to set, type: VOICEMAILPOLICY
`webpresence_policy` Server-side account property, use SetServerside*Property() to set, type: WEBPRESENCEPOLICY

Method Summary
`static Account.PROPERTY` | `fromString(java.lang.String s)`
`static Account.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Account.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### status

    public static final Account.PROPERTY status

  Account.STATUS, type: STATUS

### pwdchangestatus

    public static final Account.PROPERTY pwdchangestatus

  Account.PWDCHANGESTATUS, type: PWDCHANGESTATUS

### logoutreason

    public static final Account.PROPERTY logoutreason

  This property should only be examined when Account.P_STATUS is LOGGED_OUT or LOGGED_OUT_AND_PWD_SAVED. That is, you should not monitor changes to this property in Account.OnChange callback, other than after already having checked that P_STATUS property has appropriate value. The reason for this is that the LOGOUTREASON does not get reset before the next login attempt. For example: if a user tried to log in with a wrong password, the LOGOUTREASON gets set to INCORRECT_PASSWORD. Now, if the user tries to log in again, and yet again submits an incorrect password, the value of the LOGOUTREASON does not change anymore, because it already is set to INCORRECT_PASSWORD. Consequently, Account.OnChange will not fire in this case.
  , type: LOGOUTREASON

### commitstatus

    public static final Account.PROPERTY commitstatus

  Account.COMMITSTATUS, type: COMMITSTATUS

### suggested_skypename

    public static final Account.PROPERTY suggested_skypename

  suggested skypename. present if logoutreason==SKYPENAME_TAKEN, type: String

### skypeout_balance_currency

    public static final Account.PROPERTY skypeout_balance_currency

  'EUR', 'USD', etc., type: String

### skypeout_balance

    public static final Account.PROPERTY skypeout_balance

  balance in 'cents', type: int

### skypeout_precision

    public static final Account.PROPERTY skypeout_precision

  decimal points in ACCOUNT_SKYPEOUT_BALANCE, type: int

### skypein_numbers

    public static final Account.PROPERTY skypein_numbers

  space-separated list of skypein numbers, type: String

### cblsyncstatus

    public static final Account.PROPERTY cblsyncstatus

  Account.CBLSYNCSTATUS, type: CBLSYNCSTATUS

### offline_callforward

    public static final Account.PROPERTY offline_callforward

  space-separated list of 'begSecond,endSecond,identity' tokens, type: String

### chat_policy

    public static final Account.PROPERTY chat_policy

  Server-side account property, use SetServerside*Property() to set, type: CHATPOLICY

### skype_call_policy

    public static final Account.PROPERTY skype_call_policy

  Server-side account property, use SetServerside*Property() to set, type: SKYPECALLPOLICY

### pstn_call_policy

    public static final Account.PROPERTY pstn_call_policy

  Server-side account property, use SetServerside*Property() to set, type: PSTNCALLPOLICY

### avatar_policy

    public static final Account.PROPERTY avatar_policy

  Server-side account property, use SetServerside*Property() to set, type: AVATARPOLICY

### buddycount_policy

    public static final Account.PROPERTY buddycount_policy

  Server-side account property, use SetServerside*Property() to set, type: BUDDYCOUNTPOLICY

### timezone_policy

    public static final Account.PROPERTY timezone_policy

  Server-side account property, use SetServerside*Property() to set, type: TIMEZONEPOLICY

### webpresence_policy

    public static final Account.PROPERTY webpresence_policy

  Server-side account property, use SetServerside*Property() to set, type: WEBPRESENCEPOLICY

### phonenumbers_policy

    public static final Account.PROPERTY phonenumbers_policy

  Server-side account property, use SetServerside*Property() to set, type: PHONENUMBERSPOLICY

### voicemail_policy

    public static final Account.PROPERTY voicemail_policy

  Server-side account property, use SetServerside*Property() to set, type: VOICEMAILPOLICY

### partner_optedout

    public static final Account.PROPERTY partner_optedout

  Alerts: opted out partner id's, space separated, type: String

### service_provider_info

    public static final Account.PROPERTY service_provider_info

  service information if the user is a paid service provider, type: String

### registration_timestamp

    public static final Account.PROPERTY registration_timestamp

  NB! Unlike your common UNIX timestamps, the registration_timestamp is special, as it counts MINUTES rather than seconds, from Epoch (January 1, 1970)
  , type: int

### nr_of_other_instances

    public static final Account.PROPERTY nr_of_other_instances

  number of times this user is logged in from other computers, type: int

### skypename

    public static final Account.PROPERTY skypename

  type: String

### fullname

    public static final Account.PROPERTY fullname

  type: String

### birthday

    public static final Account.PROPERTY birthday

  YYYYMMDD, type: int

### gender

    public static final Account.PROPERTY gender

  1-male, 2-female, type: int

### languages

    public static final Account.PROPERTY languages

  ISO language codes, space-separated, type: String

### country

    public static final Account.PROPERTY country

  ISO country code, type: String

### province

    public static final Account.PROPERTY province

  type: String

### city

    public static final Account.PROPERTY city

  type: String

### phone_home

    public static final Account.PROPERTY phone_home

  NB! string not integer, type: String

### phone_office

    public static final Account.PROPERTY phone_office

  type: String

### phone_mobile

    public static final Account.PROPERTY phone_mobile

  type: String

### emails

    public static final Account.PROPERTY emails

  This is a string property, that contains space-separated list of email addresses. When surfacing this property in your UI, you will need to take into account that there may be more than one email addresses in this property (i.e. split the value at spaces and display them as list). Similarly, when modifying this property with SetStrProperty method, your editor should allow editing of component email addresses separately and add them all up again, before submitting back to the account.
  , type: String

### homepage

    public static final Account.PROPERTY homepage

  type: String

### about

    public static final Account.PROPERTY about

  arbitrary introductory text, type: String

### profile_timestamp

    public static final Account.PROPERTY profile_timestamp

  UNIX timestamp of last profile change, type: int

### mood_text

    public static final Account.PROPERTY mood_text

  Personal mood text (visible to authorised users only). Max length 300 bytes.
  , type: String

### timezone

    public static final Account.PROPERTY timezone

  24*3600+diff_to_UTC_in_seconds. nb! changes with DST, type: int

### nrof_authed_buddies

    public static final Account.PROPERTY nrof_authed_buddies

  Count of this user's authorized contacts.
  , type: int

### availability

    public static final Account.PROPERTY availability

  Contact.AVAILABILITY, type: Contact.AVAILABILITY

### avatar_image

    public static final Account.PROPERTY avatar_image

  Account avatar picture can be set with Account.SetBinProperty method. The contact avatar picture is limited to max 96x96 pixels and 32000 bytes. If the submitted avatar picture exceeds either of these size limits, it is the responsibility of your client to scale the image down to appropriate size.
  The avatar pictures have to be in JPG format. A SkypeKit client can enable the user to set the Account avatar in other picture formats, in which case the picture should be converted to JPG before submitting it.
  In any case, the avatar picture should be pre-validated with the Skype.ValidateAvatar method.
  , type: byte[]

### avatar_timestamp

    public static final Account.PROPERTY avatar_timestamp

  UNIX timestamp of when current avatar was set, type: int

### mood_timestamp

    public static final Account.PROPERTY mood_timestamp

  UNIX timestamp of when current mood was set, type: int

### rich_mood_text

    public static final Account.PROPERTY rich_mood_text

  XML version of CONTACT_MOOD_TEXT. Max length 1000 bytes.
  , type: String

Method Detail

### values

    public static Account.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.PROPERTY c : Account.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Account.PROPERTY get(int code)

### fromString

    public static Account.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.